Get Activity Types
GET
GET
https://api.atzcrm.com/v1/activity/typesRetrieve all activity types available to your account. This includes the system-provided inbuilt types as well as any custom types created within your account. Use the id from this response as the activity_type_id when creating or updating activities.
Inbuilt Activity Types
The following activity types are available in every account by default:
| ID | Label |
|---|---|
| 2 | Meeting |
| 3 | Task |
| 4 | |
| 5 | Interview |
Request
GET
GET /v1/activity/types
No request parameters required.
Headers
- Authorization: Bearer your_access_token
Response
200
Body
Returns an array of activity type objects.
- id
numberUnique ID of the activity type. Use this as
activity_type_idwhen creating or updating activities. - label
stringDisplay name of the activity type. Example: Meeting
401
Body
- Unauthorized
Response Example
[
{ "id": 5, "label": "Interview" },
{ "id": 4, "label": "Email" },
{ "id": 3, "label": "Task" },
{ "id": 2, "label": "Meeting" },
{ "id": 6, "label": "Product Demo" }
]